Equipment

by old_man_biking

Downloads: 2,381 (11) • Reviews: 3

Version:

3.0.6010

Updated:

Jun 15, 2016

Error updating to newest Equipment plugin

Error updating to newest Equipment plugin

Postby easterbird » Sat Jun 27, 2015 9:37 am

The plugin won't update. I get a message to check system log. Attached here. Looks like this message has appeared in system log for a long time but I never knew it because everything worked until today. What to do?

6/27/2015 10:08 AM [PluginManager] ERROR Could not load plugin C:\ProgramData\ZoneFiveSoftware\SportTracks\3\Plugins\Installed\b92888f1-c191-4045-8003-0181364cf651\TrainingLoad.dll. The plugin version is incompatible with this version of SportTracks. Details:
Method 'get_Color' in type 'TrainingLoad.Settings.TrimpZone' from assembly 'TrainingLoad, Version=1.8.9.0, Culture=en, PublicKeyToken=null' does not have an implementation.
Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.
at System.Reflection.Module._GetTypesInternal(StackCrawlMark& stackMark)
at System.Reflection.Assembly.GetTypes()
at ZoneFiveSoftware.SportTracks.Plugin.PluginManager.GetPluginInterfaceImplementations(Assembly assembly)
at ZoneFiveSoftware.SportTracks.Plugin.PluginManager.AddPlugins(IApplication application, Assembly assembly, String assemblyPath)
easterbird
easterbird
Donated!
Donated!
 
Posts: 46
Joined: Thu Mar 19, 2009 6:16 pm

Re: Error updating to newest Equipment plugin

Postby old_man_biking » Mon Jun 29, 2015 7:29 am

easterbird wrote:The plugin won't update. I get a message to check system log. Attached here. Looks like this message has appeared in system log for a long time but I never knew it because everything worked until today. What to do?

6/27/2015 10:08 AM [PluginManager] ERROR Could not load plugin C:\ProgramData\ZoneFiveSoftware\SportTracks\3\Plugins\Installed\b92888f1-c191-4045-8003-0181364cf651\TrainingLoad.dll. The plugin version is incompatible with this version of SportTracks. Details:
Method 'get_Color' in type 'TrainingLoad.Settings.TrimpZone' from assembly 'TrainingLoad, Version=1.8.9.0, Culture=en, PublicKeyToken=null' does not have an implementation.
Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.
at System.Reflection.Module._GetTypesInternal(StackCrawlMark& stackMark)
at System.Reflection.Assembly.GetTypes()
at ZoneFiveSoftware.SportTracks.Plugin.PluginManager.GetPluginInterfaceImplementations(Assembly assembly)
at ZoneFiveSoftware.SportTracks.Plugin.PluginManager.AddPlugins(IApplication application, Assembly assembly, String assemblyPath)

1. as you can see from the error message it refers to Training Load plugin, not Equipment plugin.
2. what this error message tells you (at least it tells me :) ) as well: you're running a VERRRY old version of SportTracks. --> update SportTracks and your issues with Training Load and Equipment plugin should be gone.

Cheers,
OMB
old_man_biking
Donated!
Donated!
 
Posts: 6770
Joined: Mon May 28, 2007 8:07 am
Location: Munich, Germany


Return to Equipment

Who is online

Users browsing this forum: No registered users and 1 guest